Package org.apache.sling.jcr.base.internal.mount

## Class ChainedIterator<T>

- java.lang.Object
- - org.apache.sling.jcr.base.internal.mount.ChainedIterator<T>

All Implemented Interfaces:
  `Iterator<T>`

    public class ChainedIterator<T>
    extends Object
    implements Iterator<T>

### Constructor Summary

Constructors
`ChainedIterator​(Iterator<Iterator<T>> iterators)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasNext()`
`T` `next()`
`void` `remove()`
`protected T` `seek()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Constructor Detail

#### ChainedIterator

    public ChainedIterator​(Iterator<Iterator<T>> iterators)

### Method Detail

#### seek

    protected T seek()

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<T>`

#### next

    public T next()

Specified by:
  `next` in interface `Iterator<T>`

#### remove

    public void remove()

Specified by:
  `remove` in interface `Iterator<T>`